Skip to main content
POST
/
ramp
/
customer
/
{customer_id}
/
kyc
Submit KYC
curl --request POST \
  --url https://api.etherfuse.com/ramp/customer/{customer_id}/kyc \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identity": {
    "address": {
      "city": "Ciudad de México",
      "country": "MX",
      "postalCode": "06600",
      "region": "CDMX",
      "street": "Av. Reforma 222"
    },
    "dateOfBirth": "1990-05-15",
    "email": "[email protected]",
    "id": "GDUKMGUGD3V6VXTU2RLAUM7A2FABLMHCPWTMDHKP7HHJ6FCZKEY4PVWL",
    "idNumbers": [
      {
        "idType": "curp",
        "value": "GALA900515MDFRPN08"
      }
    ],
    "name": {
      "familyName": "García",
      "givenName": "Ana",
      "motherMaidenName": "López"
    },
    "occupation": "Software Engineer"
  },
  "pubkey": "GDUKMGUGD3V6VXTU2RLAUM7A2FABLMHCPWTMDHKP7HHJ6FCZKEY4PVWL"
}
'
{
  "message": "KYC data submitted for review",
  "status": "proposed"
}

Authorizations

Authorization
string
header
required

API key sent in the Authorization header.

Path Parameters

customer_id
string<uuid>
required

The customer (child org) ID. Must belong to the caller's organization or a direct child.

Body

application/json

Request body for submitting KYC identity data

identity
object
required

User's identity information

pubkey
string | null

The public key of the wallet to submit KYC for (optional — omit to attach to org only)

Response

KYC identity data submitted